Localess

Get Links

GET
/api/v1/spaces/{spaceId}/links

The endpoint allows you to retrieve all Content summery metadata mainly used to recreate content tree. In case cache version is not present, it will redirect to the latest version.

token<token>

In: query

Path Parameters

spaceId*string

Unique identifier for the Space object.

Query Parameters

kind?string

Content Kind. FOLDER or DOCUMENT. If not provided, it will return all.

Value in

  • "FOLDER"
  • "DOCUMENT"
parentSlug?string

Content parent slug.

excludeChildren?boolean

If true, exclude all sub slugs, otherwise include all content under current selected parent slug.

Defaultfalse
cv?string

Cache version.

token*string

Authentication Token.

Response Body

application/json

curl -X GET "https://example.com/api/v1/spaces/UdV5ygPZuOD1JMO9Qat9/links?token=fb6oTcVjbnyLCMhO2iLY"
{  "4pLYWyN47c076mSfpWIy": {    "id": "4pLYWyN47c076mSfpWIy",    "kind": "DOCUMENT",    "name": "Options",    "slug": "options",    "fullSlug": "docs/schemas/options",    "parentSlug": "docs/schemas",    "createdAt": "2024-05-01T09:56:00.923Z",    "updatedAt": "2024-05-01T09:57:06.445Z",    "publishedAt": "2024-05-01T13:03:31.672Z"  },  "5L2ELYsmaM6C0fOBzKp0": {    "id": "5L2ELYsmaM6C0fOBzKp0",    "kind": "DOCUMENT",    "name": "Translations",    "slug": "translations",    "fullSlug": "docs/api/translations",    "parentSlug": "docs/api",    "createdAt": "2024-05-04T14:03:54.100Z",    "updatedAt": "2024-05-07T14:03:57.457Z",    "publishedAt": "2024-05-07T11:05:46.094Z"  },  "7fUavXjDpFuHGdWgTFXy": {    "id": "7fUavXjDpFuHGdWgTFXy",    "kind": "DOCUMENT",    "name": "Overview",    "slug": "overview",    "fullSlug": "docs/content/overview",    "parentSlug": "docs/content",    "createdAt": "2024-04-30T20:57:41.827Z",    "updatedAt": "2024-04-30T21:31:47.344Z",    "publishedAt": "2024-05-01T13:02:41.814Z"  }}